package xyz.tbvns.rogue_block;

import net.fabricmc.api.ModInitializer;
import net.fabricmc.fabric.api.entity.event.v1.ServerLivingEntityEvents;
import net.fabricmc.fabric.api.event.lifecycle.v1.ServerLifecycleEvents;
import net.fabricmc.fabric.api.event.player.UseBlockCallback;
import net.fabricmc.fabric.api.networking.v1.ServerPlayConnectionEvents;
import xyz.tbvns.rogue_block.Events.PlayerJoinEvents;
import xyz.tbvns.rogue_block.Events.PlayerStartButtonEvent;
import xyz.tbvns.rogue_block.Events.ServerStartEvent;
import xyz.tbvns.rogue_block.Upgrades.UpgradesManager;

public class Rogue_block implements ModInitializer {
    public static final String MOD_ID = "rogue_block";

    @Override
    public void onInitialize() {
        ServerPlayConnectionEvents.JOIN.register(new PlayerJoinEvents());
        UseBlockCallback.EVENT.register(new PlayerStartButtonEvent());
        ServerLifecycleEvents.SERVER_STARTED.register(new ServerStartEvent());

        UpgradesManager.loadUpgrades();
    }
}
