package xyz.tbvns.rogue_block.Upgrades;

import net.minecraft.item.ItemStack;
import net.minecraft.item.Items;

public interface Upgrade {
    default Class getParent() {
        return null;
    }

    default int getCost() {
        return 0;
    }

    default UpgradeType getType() {
        return UpgradeType.Passive;
    }

    default int[] getGuiPos() {
        return new int[]{0, 0};
    }

    default ItemStack itemDisplay() {
        return Items.BEDROCK.getDefaultStack();
    }

    default UpgradeRarity getRarity() {
        return UpgradeRarity.common;
    }
}
